Skip to main content
POST
/
removals
Post Removal
curl --request POST \
  --url https://api.sandbox.isometric.com/mrv/v0/removals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-client-secret: <x-client-secret>' \
  --data '
{
  "completed_on": "2023-12-25",
  "project_id": "prj_1CTWZQGKE1S0VAXA",
  "started_on": "2023-12-25",
  "supplier_reference_id": "<string>",
  "feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
  "process_key": "<string>",
  "removal_template_components": [
    {
      "inputs": [
        {
          "datapoint_ids": [
            "dtp_1DVKHKS101S0Q61Q"
          ],
          "input_key": "<string>",
          "__typename": "CreateComponentListInput"
        }
      ],
      "removal_template_component_id": "rtc_1DAA58EDM1S0AMPN"
    }
  ],
  "removal_template_id": "rvt_1EVC8RZFE1S0BAT6",
  "steps": [
    {
      "components": [
        {
          "component_id": "cmp_1EP2SB7MZ1S036PY",
          "attribution_factor_datapoint_id": "dtp_1DVKHKS101S0Q61Q"
        }
      ],
      "process_step_key": "<string>"
    }
  ]
}
'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/removals"

payload = {
"completed_on": "2023-12-25",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"started_on": "2023-12-25",
"supplier_reference_id": "<string>",
"feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
"process_key": "<string>",
"removal_template_components": [
{
"inputs": [
{
"datapoint_ids": ["dtp_1DVKHKS101S0Q61Q"],
"input_key": "<string>",
"__typename": "CreateComponentListInput"
}
],
"removal_template_component_id": "rtc_1DAA58EDM1S0AMPN"
}
],
"removal_template_id": "rvt_1EVC8RZFE1S0BAT6",
"steps": [
{
"components": [
{
"component_id": "cmp_1EP2SB7MZ1S036PY",
"attribution_factor_datapoint_id": "dtp_1DVKHKS101S0Q61Q"
}
],
"process_step_key": "<string>"
}
]
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
completed_on: '2023-12-25',
project_id: 'prj_1CTWZQGKE1S0VAXA',
started_on: '2023-12-25',
supplier_reference_id: '<string>',
feedstock_type_id: 'ftt_1D7KZ1P761S0G7BN',
process_key: '<string>',
removal_template_components: [
{
inputs: [
{
datapoint_ids: ['dtp_1DVKHKS101S0Q61Q'],
input_key: '<string>',
__typename: 'CreateComponentListInput'
}
],
removal_template_component_id: 'rtc_1DAA58EDM1S0AMPN'
}
],
removal_template_id: 'rvt_1EVC8RZFE1S0BAT6',
steps: [
{
components: [
{
component_id: 'cmp_1EP2SB7MZ1S036PY',
attribution_factor_datapoint_id: 'dtp_1DVKHKS101S0Q61Q'
}
],
process_step_key: '<string>'
}
]
})
};

fetch('https://api.sandbox.isometric.com/mrv/v0/removals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "co2e_net_removed_kg": 123,
  "co2e_net_removed_standard_deviation_kg": 123,
  "co2e_net_removed_without_discount_kg": 123,
  "completed_on": "2023-12-25",
  "credit_allocation": {
    "buffer_pool_contribution_kg": 123,
    "supplier_allocation_kg": 123
  },
  "feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
  "ghg_statement_id": "ggs_1GDQJ99Z51S0DYW9",
  "id": "rmv_1EEM6NJXX1S0EXKD",
  "risk_of_reversal_percentage": 123,
  "started_on": "2023-12-25",
  "supplier_reference_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Body

application/json

Input to the POST /removals endpoint that creates a single removal

completed_on
string<date>
required

The date by which activities related to this removal finished.

project_id
string
required

The ID of the project to associate this removal to.

Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

started_on
string<date>
required

The date at which activities related to this removal started.

supplier_reference_id
string
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200
feedstock_type_id
string | null

The ID of the feedstock type that will be used for this removal.

Required string length: 20 - 37
Example:

"ftt_1D7KZ1P761S0G7BN"

process_key
string | null
deprecated

Deprecated, please use the removal_template_id field instead.

The key of the process to be used. See the processes endpoint for the processes available.

removal_template_components
RemovalTemplateComponentInputs · object[]
removal_template_id
string | null

This field will become required once the deprecated process_key field is removed.

ID of the removal template to instantiate the removal from.

Required string length: 20 - 37
Example:

"rvt_1EVC8RZFE1S0BAT6"

steps
CreateRemovalStep · object[] | null
deprecated

Deprecated, please use the removal_template_components field instead.

A list of steps to be included in the removal. The steps must match the steps defined in the process key. See the /processes endpoint to find which steps must be used.

Response

Successful Response

co2e_net_removed_kg
number
required

The CO₂e removed by this removal once uncertainty discounting has been applied

co2e_net_removed_standard_deviation_kg
number | null
required

The standard deviation of the CO₂e net removed and therefore the uncertainty discount applied to the removal

co2e_net_removed_without_discount_kg
number
required

The CO₂e removed by this removal before any uncertainty discounting has been applied

completed_on
string<date>
required
credit_allocation
CreditAllocation · object | null
required

The split of issuable credits between the supplier and buffer pool. Null when risk_of_reversal_percentage is not set.

feedstock_type_id
string | null
required

The feedstock type ID that this removal is associated with.

Required string length: 20 - 37
Example:

"ftt_1D7KZ1P761S0G7BN"

ghg_statement_id
string | null
required

The GHG statement ID that this removal is associated with. If null, the removal is in draft and has not been submitted for verification.

Required string length: 20 - 37
Example:

"ggs_1GDQJ99Z51S0DYW9"

id
string
required
Required string length: 20 - 37
Examples:

"rmv_1EEM6NJXX1S0EXKD"

"rmv_1E3V4J2EWSBX5E82"

risk_of_reversal_percentage
number | null
required

The percentage of credits contributed to the buffer pool due to risk of reversal.

started_on
string<date>
required
supplier_reference_id
string | null
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200